.\" Copyright 1990, Regents of the University of California.
.TH BACKUP.OD 1L "15 June 1990" "LANL"
.SH NAME
backup.od \- backup files to an optical disk
.SH SYNOPSIS
.B backup.od
[
.B -m
] [
.B
-a
.I time
]
[
.I directory
]
.SH DESCRIPTION
.B backup.od
makes a tar file on an optical disk.  The tar file contains all the files and, recursively,
directories in the specified directory, or all the files and directories in the specified
directory that have changed since the last backup.
It also makes a list file that contains the names of all the files placed into the tar file.
.PP
If a directory name is not specified, the user's home directory is used.
.PP
If there is not a readable file named ".backup.od" in the specified directory when
.B backup.od
runs, all files are copied.
If the file exists, only those files that have been modified after the timestamp of ".backup.od"
are copied.
.B backup.od
creates a file in the specified directory named ".backup.od" each time it runs.
So, if an automatic backup is started, it will make a full backup the first time, and
incremental backups thereafter.
.PP
Full backups are written to files named "fl.\fImonth.day.hour.\fRtar", with the list file being written to "fl.\fImonth.day.hour.\fRlst".  If a full backup exists for the same month, day, and hour, it is overwritten.
A message to that effect is written to stdout.
.PP
Incremental backups are written to files named "sv.\fImonth.day.hour.\fRtar", with the list file being written to "sv.\fImonth.day.hour.\fRlst".  If an incremental backup exists for the same month, day, and hour, 
.B backup.od
fails.
A message saying that the file exists is written to stdout.
.PP
Using the
.B -a
.I time
flag, the backup may be started at
.I time
rather than at the current time.  If the 
.B -a
flag is specified,
.B backup.od
will reschedule itself for
.I time
when it completes the backup.
Doing this, daily unattended backups may be specified.
When the
.B -a
flag is used, stdout and stderr are mailed to $USER.
.PP
If the
.B -m
flag is used,
.B backup.od
requests that an optical disk be mounted, and waits until one is inserted
before making the tar and list files.  The disk is ejected when
.B backup.od
is finished.
.PP
If the
.B -m
flag is not used, the optical disk must be mounted on /tmp/backup, and must have
a directory named /tmp/backup/$USER.  $USER must have write permission to
this directory.  The tar files and list files are written to that directory.
This allows multiple users to make backups at the same time.
.SH OPTIONS
.TP
\fB\-a\fI time\fR
Delays start of 
.B backup.od
until
.I time.
.I time
may be any time acceptable to the
.B at(1)
program.  If
.I time
is more than one word, it must be quoted.
.TP
.B -m
Instead of using an optical disk that is already mounted on /tmp/backup,
ask the user to insert an optical, make the backup, then eject the optical.
.SH FILES
.PD 0
.TP 25
.B .backup.od
list of files in last backup; timestamp for next incremental backup
.TP
.B /tmp/backup
Directory where the optical disk is mounted
.TP
\fBfl.\fImonth.day.hour.\fBlst\fR
List of files in \fBfl.\fImonth.day.hour.\fBtar\fR
.TP
\fBfl.\fImonth.day.hour.\fBtar\fR
Files copied from user's directory
.TP
\fBsv.\fImonth.day.hour.\fBlst\fR
List of files in \fBsv.\fImonth.day.hour.\fBtar
.TP
\fBsv.\fImonth.day.hour.\fBtar
Files copied from user's directory
.PD
.SH SEE ALSO
\fBat\fR(1), \fBmountod\fR(1l), \fBunmountod\fR(1l)
.SH AUTHORS
Dave Hanson wrote the program originally for CFS.  Pat McGee added lots
of bells and whistles and ported it to the NeXT.
.SH BUGS
It is possible, but not very useful to use the
.B -m
and 
.B -a
flags together.  In this case,
.B backup.od
will start at the appointed time, will display the prompt to insert an
optical, and will wait until an optical disk is inserted.
.PP
If an uninitialized optical disk is inserted, this command will fail with the message
"mount: /dev/od0a on 
.I directory:
No such device or address.  
